#include <stdio.h>


int faculty(int n)
{
    if (n <= 0)
      return 1;


  return   n * faculty(n-1)
;
}


int main(void)
{
  int result = faculty(5) ;

  printf ("Funkcja obliczająca silnię zwróciła %d jako wynik.\n",result);

  return 0;
}

